[Git][java-team/libpostgresql-jdbc-java][master] debian/tests/: Test scram-sha-256 authentication using sqlline.

Christoph Berg gitlab at salsa.debian.org
Sun May 6 16:00:31 BST 2018


Christoph Berg pushed to branch master at Debian Java Maintainers / libpostgresql-jdbc-java


Commits:
05356b06 by Christoph Berg at 2018-05-06T17:00:16+02:00
debian/tests/: Test scram-sha-256 authentication using sqlline.

- - - - -


3 changed files:

- debian/changelog
- + debian/tests/control
- + debian/tests/sqlline


Changes:

=====================================
debian/changelog
=====================================
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,7 @@ libpgjava (42.2.2-1) UNRELEASED; urgency=medium
   * Refresh debian/patches/01-missing-pom-configuration.patch.
   * Add B-D libmaven-shade-plugin-java and libscram-java.
   * debian/maven.properties: Switch to source 8 to enable lambda expressions.
+  * debian/tests/: Test scram-sha-256 authentication using sqlline.
 
  -- Christoph Berg <myon at debian.org>  Mon, 30 Apr 2018 22:29:11 +0200
 


=====================================
debian/tests/control
=====================================
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Depends: @, postgresql (>= 10), sqlline
+Tests: sqlline
+Restrictions: allow-stderr


=====================================
debian/tests/sqlline
=====================================
--- /dev/null
+++ b/debian/tests/sqlline
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+trap 'rm -f sqlline.out' 0 2 3 15
+
+set -eux
+
+pg_virtualenv -i --auth-host=scram-sha-256 <<'EOF'
+	set -eux
+	URL="jdbc:postgresql://$PGHOST:$PGPORT/$PGDATABASE?user=$PGUSER&password=$PGPASSWORD"
+	echo 'SELECT 3*3*3607*3803;' | sqlline -u $URL 2>&1 | tee sqlline.out
+	grep '123456789' sqlline.out
+EOF



View it on GitLab: https://salsa.debian.org/java-team/libpostgresql-jdbc-java/commit/05356b063e2d30e74fc4093d4b494b2e6ed30bde

---
View it on GitLab: https://salsa.debian.org/java-team/libpostgresql-jdbc-java/commit/05356b063e2d30e74fc4093d4b494b2e6ed30bde
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-java-commits/attachments/20180506/1def732c/attachment.html>


More information about the pkg-java-commits mailing list